Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 03-21-2017, 10:25 PM   #1
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 16,703
Karma: 86991370
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Sigil-0.9.8 Released

For the impatient, the installer files (and source) for Sigil-0.9.8 can be found as attachments at the bottom of the Github Release page.

---------------------------------------------------------------------------

This Sigil-0.9.8 release is a mix of bug fixes and new features for both epub2 and epub3 users. Some of the highlights for this release include:

PyQt5 support for plugins. The full-blown PyQt5 is not included with the Mac and Windows bundled Python, but the Core, Gui, Widget, and SVG bindings (and a few others) are available. PyQt5 should be able to be used to create much more robust plugin GUIs that are translatable and that match Sigil's Qt "look and feel".

A new "Menus" tab in the Appearances Preferences section has a slider to adjust the size of Sigil's main icons to your liking. This eliminates the need for setting the SIGIL_ICON_SCALE_FACTOR environment variable to achieve a similar effect. So those who were using that variable take notice.

The Windows directory structure has had a bit of an overhaul to eliminate the need for the duplication of some included DLLs and to accommodate PyQt5. The installer will be able to accommodate these changes (as well as test for Service Pack minimum requirements before the installation begins) with no manual intervention.

There was also an important fix for temp_folder issues on Windows systems that create a new system temp folder each login that made it into this release.

The specific changes/additions follow.

---------------------------------------------------------------------------

Bug Fixes
  • Make sure when new empty epub3's are created that the toc does not use a doctype (Issue #250)
  • Make GetUniqueFilenameVersion work even on Case-Insensitive filesystems (Issue #247)
  • Properly urlencode/decode all hrefs in plugin's ResultXML in launcher/PluginRunner to prevent parse errors
  • Enable Basic Cut Copy Paste Icons/Actions in OPF, NCX, XML, SVG, and other Misc Text Tabs
  • Add proper detection for minimum service pack requirements in Windows installer
  • Include workaround for bug in KDE Qt5 plugin on Linux that keep plugins from launching from menu
  • Prevent splitting Section0001.xhtml (Split at Cursor) needlessly rewrite the file's manifest id with a uuid
  • Fix issue where merging files when non-xhtml tabs were open was causing Python errors or crashes
  • Fix segfault in Image Reports when deleting unused image files
  • Fix bug in prettyprint_xhtml in sigil_bs4 (put back inadvertently dropped is_void_tag routine)
  • Fix gumbo serialize to better handle injected newlines
  • Harden bundled Python isolation on Windows and add subset of PyQt5 to bundled modules
  • Harden plugin interface code to properly unquote/quote hrefs
  • Stop Sigil from nagging about unsupported mimetypes when epubs with Adobe xpgt page-templates are opened
  • Fix Book Browser highlighting issue when editable XML files from the "Misc" folder are opened
  • Pull upstream bug fixes from google's gumbo parser for Sigil
  • Force formatting buttons in BookView to generate inline-styled spans instead of "strike", "b", etc
  • Fix bug from deprecated use of jquery $.browser.msie introduced when jQuery was updated
  • Fix temp folder specification on Windows systems that delete the system temp folder for every login (Issue #285)
  • Fix typos in metadata descriptions to allow better translations

New Features
  • New preference setting (Appearance section) which allows user to adjust the size of the main menu icons
  • Add manifest properties to Book Browser tooltips and to All Files Reports Widget for epub3
  • Make Sigil's UI and spellchecker language settings available to plugins
  • Add support for PyQt5 for plugin gui widgets
  • Internal builds now use Qt 5.6.2 with Webkit added back
  • Windows structural changes to eliminate file duplication and to accommodate PyQt5 requirements
  • Update all build it yourself from source documentation for new requirements

Be aware that Sigil-0.9.8 still enforces the need for epub3 to have and support an NCX so that it generates as backward a compatible epub as possible. This may be relaxed in future releases.

Sigil-0.9.8 like its predecessors passed all of the following tests for epub3 support: iframe, img, audio, video , mathml, svg (except for svg support in the spine), javascript, and of course recognizing and allowing html5 specific tags like section, and etc. Sigil-0.9.8 also supports javascript based local-storage and display of embedded pdfs.

---------------------------------------------------------------------------

Download Location
The official location for downloading this Sigil release (and all official releases) is:

https://github.com/Sigil-Ebook/Sigil/releases/tag/0.9.8 (downloads found at the bottom)

The latest version of the Sigil User Guide can be downloaded from: https://github.com/Sigil-Ebook/Sigil...ide_0_7_2.epub

Downloading binaries from anyplace else is simply NOT a good idea as they could inject anything into their own downloads. After downloading, please verify the downloaded binary exactly matches what was originally posted by running an SHA 256 checksum on the file before installing it. See the file Sigil-0.9.8-CHECKSUMS.sha256.txt for the correct checksums for each file and instructions for how to calculate a SHA 256 Checksum for your download. The Mac OS X Package has also been code signed with my Apple Developer signature.

---------------------------------------------------------------------------

Windows Users
If your current version of Sigil is 0.9.6 or earlier, it's recommended (but not required) that you uninstall that version before installing 0.9.8. Some compiled Python files have had their file extentions changed (as well as the change to Python 3.5). As a result, there will be a lot of extraneous files left lying around if you just install the new over the old. It won't cause any functionality problems, but if disk space is at a premium, you may want to clean things up a bit. You can do this by uninstalling Sigil at any time (even after 0.9.8 is installed) and reinstalling. Doing so won't affect your any of your preferences, plugins, keyboard shortcuts, clips, saved searches, etc.

Linux Users
There are currently no official binary releases available for Linux on the Sigil Release page. Please check with your favorite distro's software repositories to see if they have Sigil for installation via your OS's package management system. If not, there are build instructions for compiling Sigil yourself in the source archive's docs directory: https://github.com/Sigil-Ebook/Sigil/tree/master/docs

Don't forget the FlightCrew plugin
Please note, the epub2 validator FlightCrew has been converted to a plugin for Sigil 0.8.900 and later.
This plugin has been updated for Sigil-0.9.3 (and later). It can be downloaded from the official Sigil-Ebook flightcrew repository if you have not already installed it.

https://github.com/Sigil-Ebook/fligh...ases/tag/0.9.1

Attention Mac OS X Users
Per the recommendation of www.python.org (see https://www.python.org/download/mac/tcltk/), due to bugs and the age of Apple's internal Tcl library, you should also download and install ActiveState's ActiveTcl Community Edition. To get the latest bug fixes, Sigil-0.9.8's embedded Python has been linked with the very latest version: Tcl 8.6.4.1

We may not redistribute this Package with Sigil due to ActiveState's binary non-redistribution policy.

So please, if you have not already done so download and install this version of ActiveState's Active Tcl Community Edition, until we get a chance to do our own build of Tcl 8.6.4.1 from source for future releases. ActiveState is a primary contributor to www.python.org and a respected and trusted source for python and tcl/tk related binaries on both Windows and Mac OS X.

See: http://www.activestate.com/activetcl/downloads
Version: 8.6.4.1

---------------------------------------------------------------------------

Some Additional things

When you fire up Sigil for the very first time:
  • navigate to the new General Preferences and select the default
    epub version you plan to work with (epub 2 or epub3) so that new
    empty ebooks start with the correct code.
  • if you plan to work with epub3 epubs, you should change your
    PreserveEntities setting to use ONLY NUMERIC entities.
    For example use & # 1 6 0 ; for non-breaking spaces and etc.
  • We strongly recommend enabling Mend On Open in your settings
    for best performance with Sigil
DiapDealer is offline   Reply With Quote
Advert
Old 03-22-2017, 02:55 AM   #2
Toxaris
Wizard
Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.Toxaris ought to be getting tired of karma fortunes by now.
 
Toxaris's Avatar
 
Posts: 4,383
Karma: 119692349
Join Date: Oct 2009
Location: Heemskerk, NL
Device: PRS-300, PRS-T1
Great work guys, thanks a lot!
Toxaris is offline   Reply With Quote
Old 03-22-2017, 07:15 AM   #3
patrik
Addict
patrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy bluepatrik can differentiate black from dark navy blue
 
Posts: 235
Karma: 13164
Join Date: Jan 2010
Device: Kobo Aura HD
Built on Linux Mint. All well. Thanks!
patrik is offline   Reply With Quote
Old 03-22-2017, 07:16 AM   #4
JustinThought
Zealot
JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.
 
JustinThought's Avatar
 
Posts: 109
Karma: 3500618
Join Date: May 2016
Location: Monterrey, Mexico
Device: Samsung Tab-3 7"
Quote:
Originally Posted by DiapDealer View Post
For the impatient, the installer files (and source) for Sigil-0.9.8 can be found as attachments at the bottom of the Github Release page.
You guys are awesome. Thanks for sharing your time!

I didn't see any mention of a fix for The Mystery of the Disappearing Bookmarks (and Clips), so I'll check it out. It happens so sporadically, it may be a while before I report back.

Ok. Enough schmoozing. Off to the races, see what goodies are in store for us!

Did I mention, thanks?
JustinThought is offline   Reply With Quote
Old 03-22-2017, 07:34 AM   #5
Doitsu
Wizard
Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.
 
Doitsu's Avatar
 
Posts: 3,852
Karma: 10339686
Join Date: Dec 2010
Device: Kindle PW2
Quote:
Originally Posted by patrik View Post
Built on Linux Mint. All well. Thanks!
On Arch Linux, too.
Doitsu is offline   Reply With Quote
Advert
Old 03-22-2017, 08:08 AM   #6
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 16,703
Karma: 86991370
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by JustinThought View Post
I didn't see any mention of a fix for The Mystery of the Disappearing Bookmarks (and Clips), so I'll check it out. It happens so sporadically, it may be a while before I report back.
Nothing was changed to try and specifically address that issue, so if it goes away, it will be because of a change to Qt5.6.2 and not us.

Neither of us has been able to replicate the problem, and if, as we suspect, the issue lies with Qt's file-locking (with regard to settings/ini), then we probably wait for Qt to address it. That or we gut Sigil's entire preference storage/writing/retrieving routines.
DiapDealer is offline   Reply With Quote
Old 03-22-2017, 09:23 AM   #7
JustinThought
Zealot
JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.JustinThought ought to be getting tired of karma fortunes by now.
 
JustinThought's Avatar
 
Posts: 109
Karma: 3500618
Join Date: May 2016
Location: Monterrey, Mexico
Device: Samsung Tab-3 7"
Quote:
Originally Posted by DiapDealer View Post
Nothing was changed to try and specifically address that issue, so if it goes away, it will be because of a change to Qt5.6.2 and not us.

Neither of us has been able to replicate the problem, and if, as we suspect, the issue lies with Qt's file-locking (with regard to settings/ini), then we probably wait for Qt to address it. That or we gut Sigil's entire preference storage/writing/retrieving routines.
Actually, That should have been "Searches," and not "Bookmarks." Hey. It was early. And I believe you traced it down when it reared its ugly head and, if I remember correctly, you did seem to think it was an issue with Qt. Sorry I mis-spoke.

In any case, it's a very minor issue. Geez, how hard is it to close Sigil, re-open it, and viola! the problem has disappeared for another month or so.
JustinThought is offline   Reply With Quote
Old 03-22-2017, 10:42 AM   #8
roger64
Wizard
roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.roger64 ought to be getting tired of karma fortunes by now.
 
Posts: 2,131
Karma: 2150557
Join Date: Jan 2009
Device: Kobo Glo - Kindle PW3 (wifi)
Hi

I've got the ArchLinux package 0.9.8 but it's still tagged as 0.9.7. (see screenshot with today's installation date). To be sure, out of this small window, is there any item I could check which could tell me for sure, this is 0.9.8.?

Oh, and thank you for the new version
Attached Thumbnails
Click image for larger version

Name:	propos.png
Views:	68
Size:	35.1 KB
ID:	155789  

Last edited by roger64; 03-22-2017 at 10:51 AM. Reason: Thanks
roger64 is online now   Reply With Quote
Old 03-22-2017, 11:00 AM   #9
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 2,524
Karma: 772404
Join Date: Nov 2009
Device: many
That is partially my fault. I tagged the source before updating the CMakeList.txt file that sets the version info in the string. So if someone grabbed the tag 0.9.8 from github instead of grabbing master or using the official Source Code zip archive from releases, they would end up with the About box saying 0.9.7 instead of 0.9.8.

One easy way to check this is to run the testplugin_v014.zip. It will only pass the pyqt5 test on real Sigil 0.9.8 not 0.9.7.
KevinH is offline   Reply With Quote
Old 03-22-2017, 11:40 AM   #10
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 16,703
Karma: 86991370
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by KevinH View Post
Tne easy way to check this is to run the testplugin_v014.zip. It will only pass the pyqt5 test on real Sigil 0.9.8 not 0.9.7.
It will only check for PyQt5 on Sigil 0.9.8. So a pass/fail on the PyQt5 check means you're running 0.9.8 on Linux (since the external Python on Linux may not have PyQt5 installed).

Another way to check if you have 0.9.8 is to ... EDIT: Use Doitsu's post. He included pictures.

Last edited by DiapDealer; 03-22-2017 at 12:06 PM.
DiapDealer is offline   Reply With Quote
Old 03-22-2017, 11:47 AM   #11
Doitsu
Wizard
Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.Doitsu ought to be getting tired of karma fortunes by now.
 
Doitsu's Avatar
 
Posts: 3,852
Karma: 10339686
Join Date: Dec 2010
Device: Kindle PW2
Quote:
Originally Posted by KevinH View Post
One easy way to check this is to run the testplugin_v014.zip. It will only pass the pyqt5 test on real Sigil 0.9.8 not 0.9.7.
An easier test might be to check for the presence of the new Main Menu Icon Size option. (Edit > Preferences > Appearance > Menus)
Attached Thumbnails
Click image for larger version

Name:	icon_size_menu.jpg
Views:	79
Size:	31.1 KB
ID:	155790  
Doitsu is offline   Reply With Quote
Old 03-22-2017, 01:46 PM   #12
st_albert
Guru
st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.
 
Posts: 637
Karma: 94420
Join Date: Feb 2010
Device: none
built fine for me on Kubuntu 16.04.2 (with backports installed), Qt 5.6.1 and using system libraries.

However, testplugin 0.1.4 finished with " bk.manifest_iter() works False".

Spoiler:

Status: success


Verify sys.path settings manually
/usr/local/share/sigil/plugin_launchers/python
/usr/lib/python35.zip
/usr/lib/python3.5
/usr/lib/python3.5/plat-x86_64-linux-gnu
/usr/lib/python3.5/lib-dynload
/usr/local/lib/python3.5/dist-packages
/usr/lib/python3/dist-packages
/home/u838190/.local/share/sigil-ebook/sigil/plugins/testplugin

Verifying proper Python packages are available
Checking GUI modules
Python Package: PyQt5 (/usr/lib/python3/dist-packages/PyQt5/QtWidgets.cpython-35m-x86_64-linux-gnu.so) Found
Python Package: tkinter (/usr/lib/python3.5/tkinter/__init__.py) Found
Python Package: PIL (/usr/lib/python3/dist-packages/PIL/__init__.py) Found
Python Package: cssselect (/usr/lib/python3/dist-packages/cssselect/__init__.py) Found
Python Package: cssutils (/usr/lib/python3/dist-packages/cssutils/__init__.py) Found
Python Package: html5lib (/usr/lib/python3/dist-packages/html5lib/__init__.py) Found
Python Package: lxml (/usr/lib/python3/dist-packages/lxml/__init__.py) Found
Python Package: regex (/usr/lib/python3/dist-packages/regex.py) Found
Python Package: chardet (/usr/lib/python3/dist-packages/chardet/__init__.py) Found
Python Package: six (/usr/lib/python3/dist-packages/six.py) Found

Verifying Sigil Python Libraries can be found/loaded
Sigil Python library: epub_utils Found
Sigil Python library: quickparser Found
Sigil Python library: compatibility_utils Found
Sigil Python library: sigil_bs4 Found

Verifying Hunspell Spell Checking
Hunspell en_US affix file and dictionary Found
Hunspell shared library Found
Hunspell spellchecking works True

Verifying Sigil Gumbo Library operation
Sigil Gumbo BS4 Adapter library Found
Sigil BS4/Gumbo Parser works True

Verifying selected basic plugin interface elements
bk.text_iter() works True
Listing manifested files...
Text/AboutAuthor.xhtml
bk.manifest_iter() works False
bk.spine_iter() works True
bk.other_iter() works True
reading a non-manifest book file works True
reading a specific OPF manifest id works True
writing to a specific OPF manifest id works True
Launcher Version 20170227
ePub Version 3.0
adding your own file to the manifest works True
basename to id mapping works True
deleting our added file works True


Failure - 1 Tests of Plugin Operations Failed



What are the ramifications of this?



Albert
st_albert is offline   Reply With Quote
Old 03-22-2017, 02:00 PM   #13
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 16,703
Karma: 86991370
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by st_albert View Post
What are the ramifications of this?
That failure usually just means that you didn't run the plugin on a brand-new, default, empty plugin.

Try File->New and then immediately run the test plugin. It's not guaranteed to work on anything but Sigil's default, empty epub.
DiapDealer is offline   Reply With Quote
Old 03-22-2017, 02:03 PM   #14
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 16,703
Karma: 86991370
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by st_albert View Post
built fine for me on Kubuntu 16.04.2 (with backports installed), Qt 5.6.1 and using system libraries.
Just curious if you were one of the KDE users who were experiencing the problem where plugins couldn't be run from the plugin menu (but plugins assigned to menu shortcuts worked fine)?

Reason being: I added a workaround to this version of Sigil to specifically address that KDE issue. It worked on my testing, but I'd like to know if it's working for others.
DiapDealer is offline   Reply With Quote
Old 03-22-2017, 02:12 PM   #15
st_albert
Guru
st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.st_albert has top level security clearance to Area 51.
 
Posts: 637
Karma: 94420
Join Date: Feb 2010
Device: none
Quote:
Originally Posted by DiapDealer View Post
Just curious if you were one of the KDE users who were experiencing the problem where plugins couldn't be run from the plugin menu (but plugins assigned to menu shortcuts worked fine)?

Reason being: I added a workaround to this version of Sigil to specifically address that KDE issue. It worked on my testing, but I'd like to know if it's working for others.
Yes, I seem to recall that I did have that problem some time ago, and yes, now it works fine.

ETA: That said, I just tested it on another machine, also Kubuntu 16.04.2 with Sigil version 0.9.7 and Qt 4.1, and plugins can be run from the menu there, also. I'm not sure when the plugin menu started working again, but it must have been some time ago, as I'd completely forgotten about the issue.

Also, starting from scratch with the default Sigil blank epub prevents the error I mentioned above.

Albert

Last edited by st_albert; 03-22-2017 at 04:34 PM.
st_albert is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Sigil-0.9.4 Released KevinH Sigil 40 03-26-2016 10:15 AM
Sigil-0.9.2 Released KevinH Sigil 14 01-11-2016 03:11 AM
Sigil-0.9.1 Released KevinH Sigil 36 12-04-2015 03:00 PM
Sigil-0.8.900 released for testing - Wait for Sigil-0.8.901 KevinH Sigil 106 10-04-2015 10:41 AM
Sigil 0.8.2 Released user_none Sigil 12 12-22-2014 06:02 PM


All times are GMT -4. The time now is 03:24 AM.


MobileRead.com is a privately owned, operated and funded community.